
# NOTE: build against: rhevm-*-docs-candidate

# change these as needed
%global locale zh-CN
%global beta 0
%global product_line 3.5
#

%global manualdir %{_docdir}/rhevm-doc/manual
%if 0%{?beta}
%global product_line_path %{product_line}-Beta
%else
%global product_line_path %{product_line}
%endif

%global product Red_Hat_Enterprise_Virtualization
%global admin_guide Administration_Guide
%global install_guide Installation_Guide
%global mrn Manager_Release_Notes
%global tech_guide Technical_Guide
%global user_guide User_Guide

%global lang_css Common_Content/css/lang.css
%global missing_pdf_placeholder %{product}-%{product_line_path}-missing-%{locale}.pdf

%global admin_guide_book %{product}-%{admin_guide}-%{product_line_path}-web-%{locale}
%global install_guide_book %{product}-%{install_guide}-%{product_line_path}-web-%{locale}
%global mrn_book %{product}-%{mrn}-%{product_line_path}-web-%{locale}
%global tech_guide_book %{product}-%{tech_guide}-%{product_line_path}-web-%{locale}
%global user_guide_book %{product}-%{user_guide}-%{product_line_path}-web-%{locale}

Name:		rhevm-doc-%{locale}
Version:	%{product_line}.0
Release:	1%{?dist}

Summary:	Red Hat Enterprise Virtualization Chinese documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com
Source0:	%{admin_guide_book}-%{product_line}-36.3.tgz
Source1:	%{install_guide_book}-%{product_line}-45.2.tgz
Source2:	%{mrn_book}-%{product_line}-18.1.tgz
Source3:	%{tech_guide_book}-%{product_line}-23.1.tgz
Source4:	%{user_guide_book}-%{product_line}-18.3.tgz
Source5:	Red_Hat_Enterprise_Virtualization-3.5-Technical_Guide-zh-CN.pdf.tgz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican-API = 4.1
BuildRequires: desktop-file-utils
BuildRequires: publican-redhat-201405
BuildRequires:	python
BuildRequires:	python-argparse
Requires:	rhevm-doc >= 3.5
Requires:	rhevm-doc < 3.6

%description

This package contains the Red Hat Enterprise Virtualization 
Chinese in-product documentation in html and pdf format.

%prep
%setup -q -T -D -a 0 -c
%setup -q -T -D -a 1 -c
%setup -q -T -D -a 2 -c
%setup -q -T -D -a 3 -c
%setup -q -T -D -a 4 -c
%setup -q -T -D -a 5 -c

%build
publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{admin_guide_book}-%{product_line} --publish
touch %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{admin_guide}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{install_guide_book}-%{product_line} --publish
touch %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{install_guide}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{mrn_book}-%{product_line} --publish
touch %{mrn_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{mrn}/%{lang_css}
rm -rf tmp

# publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{tech_guide_book}-%{product_line} --publish
publican build --nocolours --formats="html" --langs=%{locale} --src_dir=%{tech_guide_book}-%{product_line} --publish
touch %{tech_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{tech_guide}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{user_guide_book}-%{product_line} --publish
touch %{user_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{user_guide}/%{lang_css}
rm -rf tmp

%install
rm -rf "%{buildroot}"

mkdir -p "%{buildroot}%{manualdir}/%{locale}"

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}"
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}"
cp -r %{mrn_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}"
cp -r %{tech_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}"
cp -r %{user_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}"

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}"
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}"
cp -r %{mrn_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}"
#cp -r %{tech_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}"
cp -r %{user_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}"

# hack for Chinese Technical Guide that will not build in brew
mkdir -p "%{buildroot}%{manualdir}/%{locale}/pdf/%{tech_guide}/"
cp Red_Hat_Enterprise_Virtualization-3.5-Technical_Guide-zh-CN.pdf "%{buildroot}%{manualdir}/%{locale}/pdf/%{tech_guide}/"

# tweak pdf file names
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip locales
	mv "${f}" "$(echo "${f}" | sed 's/-[a-zA-Z][a-zA-Z][-_][a-zA-Z][a-zA-Z]\.pdf/.pdf/')"
done
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip version numbers
	mv "${f}" "$(echo "${f}" | sed 's/%{product}-%{product_line_path}-/%{product}-/')"
done

%files 
%dir %{_docdir}/rhevm-doc

%{manualdir}/

%changelog
* Fri Feb 20 2015 Greg Sheremeta <gshereme@redhat.com> - 3.5.0-1
- 3.5.0-1. initial version.

